import { HcApi } from '../../request/index'

export default {
    async page(form) {
        return HcApi({
            url: '/api/blade-manager/trial/summary/page',
            method: 'get',
            params: form,
        })
    },
    async detail(id) {
        return HcApi({
            url: '/api/blade-manager/trial/summary/detail',
            method: 'get',
            params: { id },
        })
    },
    async submit(form) {
        return HcApi({
            url: '/api/blade-manager/trial/summary/submit',
            method: 'post',
            data: form,
        })
    },
    async del(id) {
        return HcApi({
            url: '/api/blade-manager/trial/summary/remove',
            method: 'get',
            params: { id },
        })
    },
    async getMetaDataDetail(form) {
        return HcApi({
            url: '/api/blade-business/metadata/classification/detail',
            method: 'get',
            params: form,
        })
    },
    async metaDataSubmit(form) {
        return HcApi({
            url: '/api/blade-business/metadata/classification/submit',
            method: 'post',
            data: form,
        })
    },
    async metaDataRemove(ids) {
        return HcApi({
            url: '/api/blade-business/metadata/remove',
            method: 'post',
            params: { ids },
        })
    },
    async getAllocationDetail(form) {
        return HcApi({
            url: '/api/blade-business/metadata/allocation/detail',
            method: 'get',
            params: form,
        })
    },
    async allocation(form) {
        return HcApi({
            url: '/api/blade-business/metadata/allocation',
            method: 'post',
            params: form,
        })
    },
    async cancelAllocation(form) {
        return HcApi({
            url: '/api/blade-business/metadata/cancelAllocation',
            method: 'post',
            params: form,
        })
    },
    async matching(form) {
        return HcApi({
            url: '/api/blade-manager/trial/summary/matching',
            method: 'post',
            data: form,
        })
    },
    async relevancy(form) {
        return HcApi({
            url: '/api/blade-manager/trial/summary/relevancy',
            method: 'post',
            data: form,
        })
    },
    async tablazy(form) {
        return HcApi({
            url: '/api/blade-manager/trial/summary/lazy',
            method: 'get',
            params: form,
        })
    },
    async getLinkHtml(form) {
        return HcApi({
            url: '/api/blade-manager/trial/summary/tab/html',
            method: 'get',
            params: form,
        })
    },
    async getLinkTablist(form) {
        return HcApi({
            url: '/api/blade-manager/trial/summary/tab/list',
            method: 'get',
            params: form,
        })
    },
    async getLinkElelist(form) {
        return HcApi({
            url: '/api/blade-manager/trial/summary/element/list',
            method: 'get',
            params: form,
        })
    },
    async getLinkDetail(form) {
        return HcApi({
            url: '/api/blade-manager/trial/summary/input/detail',
            method: 'get',
            params: form,
        })
    },
    async saveLinkDetail(form) {
        return HcApi({
            url: '/api/blade-manager/trial/summary/reflection/save',
            method: 'post',
            data: form,
        })
    },
    async getLinkData(form) {
        return HcApi({
            url: '/api/blade-manager/trial/summary/reflection/html/data',
            method: 'get',
            params: form,
        })
    },
}
